<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.smartmonitor.mapper.SmartVideoMonitorStatMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="smartVideoMonitorStatResultMap" type="org.springblade.smartapplication.smartmonitor.entity.SmartVideoMonitorStat">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="serial_num" property="serialNum"/>
        <result column="enter_cnt" property="enterCnt"/>
        <result column="leave_cnt" property="leaveCnt"/>
        <result column="tatal_cnt" property="totalCnt"/>
        <result column="stat_date" property="statDate"/>
        <result column="org_position" property="orgPosition"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectSmartVideoMonitorStatPage" resultMap="smartVideoMonitorStatResultMap">
        select * from yc_smart_video_monitor_stat where is_deleted = 0
    </select>

</mapper>
